Installation RBS Change : Etape 3 de l'installation : Please install PHP extension json-unknown

  • 20585.1

    29/09/2010 13:07


    ckarone
    Rang : Nouveau Membre
    Bonjour,

    Arrivé à l'étape 3 de l'installation (Change e-commerce) j'obtiens un http status :404, The requested URL /test_availability.php was not found on this server.

    Voici une liste de "log" de cette étape 3:
    change:init-project
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:init-generic-modules
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:init-webapp
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-config
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-documents
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:generate-database
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-document-filters
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-roles
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-permissions
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-locales
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-tags
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-listeners
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-js-dependencies
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-phptal
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-db-schema
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-aop
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-url-rewriting
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-blocks
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-editors-config
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:compile-htaccess
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:import-init-data
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:init-patch-db
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:reset-root-user
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:theme.install webfactory
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:import-data website sample.xml
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:import-data form sample.xml
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:import-data users sample.xml
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:import-data catalog default.xml
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:import-data customer default.xml
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:import-data order default.xml
    [ERROR] Please install PHP extension json-unknown (newer version may work but they are not certified)
    change:test_availability.php
    http status :404
    
  • 20585.2 en réponse à 20585.1 écrit par ckarone

    29/09/2010 14:20


    Alexandre Simon
    Titre : Développeur RBS Change
    Rang : Expert
    Bonjour,

    Le message d'erreur veut dire que l'extension PHP "json" manque : c'est une extension qui est nécessaire au bon fonctionnement de RBS Change et de son installeur web.

    Je ne suis plus forcément sûr à 100%, mais il me semble qu'à partir de la version 5.2 de PHP, l'extension json est incluse de base dans le moteur, sauf si PHP a été compilé avec "--disable-json".

    Pour une version inférieure (rappel : RBS Change ne fonctionne qu'à partir de la version 5.1.6 de PHP), il vous faudra installer l'extension depuis http://pecl.php.net/package/json.

    Cordialement,
  • 20585.3 en réponse à 20585.2 écrit par Alexandre Simon

    29/09/2010 15:16


    ckarone
    Rang : Nouveau Membre
    Merci je regarde pour faire ajouter ce JSON

    Merci
 
Merci de prendre connaissance et de respecter les règles des forums.
 
1362 membres
Aucun membre connecté